Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.common.extension
Class AbstractExtensionBundle

    java.lang.Object
      org.apache.ode.bpel.rtrep.common.extension.AbstractExtensionBundle

All Implemented Interfaces:
  ExtensionBundleRuntime, ExtensionBundleValidation

    public abstract class AbstractExtensionBundle

extends java.lang.Object
implements ExtensionBundleRuntime, ExtensionBundleValidation

Abstract class that bundles and registers `<extensionActivity>` and `<extensionAssignOperation>` implementations related to a particular namespace.

Constructor Summary
`AbstractExtensionBundle()`

Method Summary
`java.lang.Class<? extends ExtensionOperation>` | `getExtensionOperationClass(java.lang.String localName)`
`ExtensionOperation` | `getExtensionOperationInstance(java.lang.String localName)`
`java.util.Set<java.lang.String>` | `getExtensionOperationNames()` Returns a list of the local names of registered extension operations.
`java.util.Map<javax.xml.namespace.QName,ExtensionValidator>` | `getExtensionValidators()`
`abstract java.lang.String` | `getNamespaceURI()` Returns the extension namespace this bundle provides implementations for.
`abstract void` | `registerExtensionActivities()` Register extension operations.
`protected void` | `registerExtensionOperation(java.lang.String localName, java.lang.Class<? extends ExtensionOperation> operation)` Register an `ExtensionOperation` implementation as `<extensionActivity>`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExtensionBundle

    public AbstractExtensionBundle()

Method Detail

### getNamespaceURI

    public abstract java.lang.String getNamespaceURI()

  Returns the extension namespace this bundle provides implementations for.

  Specified by:
    `getNamespaceURI` in interface `ExtensionBundleRuntime`
  Returns:

### registerExtensionActivities

    public abstract void registerExtensionActivities()

  Register extension operations.

  Specified by:
    `registerExtensionActivities` in interface `ExtensionBundleRuntime`

### registerExtensionOperation

    protected final void registerExtensionOperation(java.lang.String localName,
                                                    java.lang.Class<? extends ExtensionOperation> operation)

  Register an `ExtensionOperation` implementation as `<extensionActivity>`.

  Parameters:
    `localName` -
    `activity` -

### getExtensionOperationNames

    public final java.util.Set<java.lang.String> getExtensionOperationNames()

  Returns a list of the local names of registered extension operations.

### getExtensionOperationClass

    public final java.lang.Class<? extends ExtensionOperation> getExtensionOperationClass(java.lang.String localName)

### getExtensionOperationInstance

    public final ExtensionOperation getExtensionOperationInstance(java.lang.String localName)
                                                           throws java.lang.InstantiationException,
                                                                  java.lang.IllegalAccessException

  Specified by:
    `getExtensionOperationInstance` in interface `ExtensionBundleRuntime`
  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### getExtensionValidators

    public final java.util.Map<javax.xml.namespace.QName,ExtensionValidator> getExtensionValidators()

  Specified by:
    `getExtensionValidators` in interface `ExtensionBundleValidation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD